<ui:composition template="../template/templateAsistencia.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="title">
        .:#{asistenciaSalaMB.nombreSistema}:.
    </ui:define>

	<ui:define name="headCont">
		<style>
.box-table-class .ui-datatable-scrollable-body thead th {
	opacity: 0;
	padding: 0;
}

.obs-pe {
	background: #d6effe;
	color: #68544F;
}

.obs-pe-vencida {
	background: #d6effe;
	color: red;
}

.obs-pe-por-vencer {
	background: #d6effe;
	color: green;
}

.sin-obs-pe-vencida {
	color: red;
}

.sin-obs-pe-por-vencer {
	color: green;
}

.ui-state-disabled {
	opacity: 1;
}

.ui-fieldset-general {
	
}

.without-selectall .ui-selectcheckboxmenu-header .ui-chkbox {
	display: none;
}
/* Select CheckBoxMenú */
.ui-selectcheckboxmenu-item:hover {
	background-color: #850100 !important;
	background-image: linear-gradient(to bottom, #BA0400, #840100)
		!important;
	color: #FFF
}

.ui-selectcheckboxmenu-item {
	font-size: 13.2px;
	font-weight: 300;
}

.ui-selectcheckboxmenu .ui-selectcheckboxmenu-trigger {
	width: auto !important;
	border-left: 1px solid #a8a8a8 !important;
	border-radius: 0px 0px 0px 0px !important;
	background: #F9F9F9 !important;
	box-shadow: 0px 0px #FFF;
}

.ui-datatable .ui-datatable-odd.ui-state-hover{
	background: #66ff99 ;
}

/* .ui-datatable .ui-datatable-even{ */
/* 	background: #7de1e2 ; */
/* } */

.ui-datatable .ui-datatable-even.ui-state-hover{
	background: #66ff99 ;
}

.ui-datatable  .ui-state-highlight {
  /*background-color: #7de27e !important;*/
  background-color: #ccffdd !important;
  
}

</style>
	</ui:define>

	<ui:define name="titlePages">
		<span>Control de Acceso a Salas: #{seguridadMB.usuarioLogin.sesionSalaUsuario.sala.nombreSala} - Piso #{seguridadMB.usuarioLogin.sesionSalaUsuario.sala.ubicacionPiso} </span>
	</ui:define>
	<ui:define name="urlNavegacion">
		<li class="active">Referencista: #{seguridadMB.usuarioLogin.nombreCompleto} - #{seguridadMB.usuarioLogin.usuario}</li>
		<li>Inició sesión a las #{seguridadMB.usuarioLogin.sesionSalaUsuario.sesionUsuario.fechaLoginTexto}</li>
		<li>IP de acceso: #{seguridadMB.usuarioLogin.sesionSalaUsuario.sesionUsuario.ipMaquina}</li>
	</ui:define>
	<!-- administrador por BNP -->
	<ui:define name="content">
        #{asistenciaSalaMB.validarSesion()}
        #{asistenciaSalaMB.obtenerListasBase()}
        #{asistenciaSalaMB.limpiarRegistroAsistenciaSeleccionada()}
        
	    <div class="row">

			<h:form id="frmBandejaSolicitud" class="form-horizontal">

				<p:growl id="mensaje" showDetail="true" sticky="false" life="5000" />
				<div class="col-md-12 sin-bg-box">
					<p:fieldset styleClass="ui-fieldset-general">
						<div class="row box-mb">
							<div class="col-sm-12">
								<label class="control-label"><b>Validar que la persona este registrada como usuario de la Biblioteca:</b></label>
							</div>
						</div>

						<p:fieldset>
							<div class="row box-mb">
								<div class="col-sm-4">
										<h:outputLabel for="txtNumDocumento" value="N&#186; Documento Identidad: " styleClass="control-label"  />
										<p:inputText id="txtNumDocumento" styleClass="form-control" style="text-transform:uppercase" value="#{asistenciaSalaMB.filtroNumeroDocumentoIdentidad}" maxlength="12" mask="99999999" tabindex="1" />
										 <p:watermark for="txtNumDocumento" value="Número de Documento de Identidad" />
										 <p:focus for="txtNumDocumento" />
								</div>
								<div class="col-sm-8 box-btn-tab text-right box-main-btn">
									<div class="form-group text-center">
									<h:outputLabel value="Realizar: " styleClass="control-label" />
									</div>
									<p:commandButton id="idBuscar" value="Busqueda de Usuario"
										icon="icon-search ocultarImgIcon"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										onclick="PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide()"
										actionListener="#{asistenciaSalaMB.identificarUsuarioQueIngresaASala}"
										update="frmBandejaSolicitud :frmSeccionFotoLectorEnSala" ajax="true" />

									<p:commandButton id="idLimpiar"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										value="Limpiar Filtro"
										actionListener="#{asistenciaSalaMB.limpiarSeccionBusquedaUsuariosIngreso}"
										icon="icon-limpiar" update="frmBandejaSolicitud" ajax="true" />
										
								</div>
							</div>

						</p:fieldset>
						<!-- *************************************************************************************************************************** -->
						<div class="row box-mb" style="margin-top: 15px;">
							<div class="col-sm-12">
								<label class="control-label"><b>Resultados de la búsqueda:</b></label>
							</div>
						</div>

						<div class="row box-mb">
							<div class="col-sm-12 box-table-class">
								<div class="form-group">
									<!--******************************* Tabla con registros del combo seleccion: REGISTROS VIRTUALES ****************************************************-->
									<p:dataTable id="tblConsultas2" var="registro"
										value="#{asistenciaSalaMB.listaBusquedaLectores}"
										rowKey="#{registro.codBarrasLector}" paginator="true" scrollable="true"
										rowIndexVar="item" paginatorPosition="bottom" rows="10"
										style="text-align:center;" emptyMessage="No se encontraron registros">

										<p:column headerText="Código Lector" style="width:10px;text-aling:center;" >
											<h:outputText value="#{registro.codBarrasLector}" style="color:#{registro.colorRegistroLector}" />
										</p:column>

										<p:column headerText="Nombre Completo"  style="width:25px;text-align:left;" >
											<h:outputText value="#{registro.nombres} #{registro.apellidos}" style="color:#{registro.colorRegistroLector}" />
										</p:column>

										<p:column headerText="Doc. Identidad"  style="width:15px;text-aling:center;" >
											<h:outputText value="#{registro.tipoDocIdentidad} #{registro.numeroDocIdentidad}" style="color:#{registro.colorRegistroLector}" />
										</p:column>

										<p:column headerText="Inicio Vigencia" style="width:15px;text-aling:center;" >
											<h:outputText value="#{registro.fechaInicio}" style="color:#{registro.colorRegistroLector}" />
										</p:column>
										<p:column headerText="Fin Vigencia" style="width:15px;text-aling:center;" >
											<h:outputText value="#{registro.fechaFin}" style="color:#{registro.colorRegistroLector}" />
										</p:column>
										<p:column headerText="Estado Vigencia" style="width:15px;text-aling:center;">
											<h:outputText value="#{registro.vigencia}"  style="color:#{registro.colorRegistroLector}" />
										</p:column>
										
										<p:column headerText="Tipo Usuario" style="width:15px;text-aling:center;" >
											<h:outputText value="#{registro.tipoUsuario}" style="color:#{registro.colorRegistroLector}" />
										</p:column>
										<p:column headerText="Habilitado?" style="width:15px;text-aling:center;" >
											<h:outputText value="#{registro.flagHabilitado}"  style="color:#{registro.colorRegistroLector}" />
										</p:column>
										<p:column headerText="En SIRU?" style="width:15px;text-aling:center;" >
											<h:outputText value="#{registro.flagSiru}" style="color:#{registro.colorRegistroLector}" />
										</p:column>
										<p:column headerText="Foto" style="width:10px;text-align:center;">
											<p:commandButton
												action="#{asistenciaSalaMB.obtenerFotosLector(registro)}"
												rendered="#{registro.getFlagSiruBoolean()}"
												onclick="PF('statusDialog').show()"
												oncomplete="PF('statusDialog').hide()"
												title="Ver" ajax="true"
												value="Ver"
												styleClass="colorSuccess"
												update=":frmBandejaSolicitud" />
										</p:column>
										<p:column headerText="Marcar Ingreso:" style="width:20px;text-align:center;">
											<p:commandButton
												action="#{asistenciaSalaMB.registrarIngresoASala(registro)}"
												rendered="#{registro.mostrarBotonIngresoSala()}"
												onclick="PF('statusDialog').show()"
												oncomplete="PF('statusDialog').hide()"
												title="Registrar Ingreso" ajax="true"
												value="Ingreso"
												styleClass="colorSuccess"
												update=":frmBandejaSolicitud :frmUsuariosEnSala :frmSeccionFotoLectorEnSala" />
											<h:outputText rendered="#{!registro.mostrarBotonIngresoSala()}" value="NO PERMITIDO" style="color:#{registro.colorRegistroLector}" />		
										</p:column>
									</p:dataTable>

								</div>
							</div>
						</div>
						<div class="row box-mb">
							<h:panelGroup rendered="#{asistenciaSalaMB.showSeccionFotoBusqueda}">
							<div class="col-sm-3 box-table-class  text-center">
								<div class="form-group  text-center">
										<h:panelGroup rendered="#{asistenciaSalaMB.showFotoReniec}">
											<label style="font-weight:bold;color:blue; font-size: 12px;" class="control-label"><b>Foto Reniec</b></label>
											<p:fieldset>
												<fieldset>	
													<div class="text-center">
														<p:graphicImage id="fotoReniec"	value="#{asistenciaSalaMB.streamedContentPhotoReniec}" styleClass="img-responsive" cache="false" />
													</div>
												</fieldset>
											</p:fieldset>
										</h:panelGroup>
										<h:panelGroup rendered="#{!asistenciaSalaMB.showFotoReniec}">
											<label style="font-weight:bold;color:blue; font-size: 12px;" class="control-label"><b>Foto Reniec: No disponible</b></label>
										</h:panelGroup>						
								</div>
							</div>							
							<div class="col-sm-3 class text-center">
								<div class="form-group text-center">
										<h:panelGroup rendered="#{asistenciaSalaMB.showFotoUsuario}">
											<label style="font-weight:bold;color:blue; font-size: 12px;" class="control-label"><b>Foto Actual</b></label>
											<p:fieldset>
												<fieldset>	
													<p:graphicImage width="300" id="fotoUsuario" value="#{asistenciaSalaMB.streamedContentPhotoAdjuntada}" styleClass="img-responsive"  cache="false" />											
												</fieldset>
											</p:fieldset>
										</h:panelGroup>
										<h:panelGroup rendered="#{!asistenciaSalaMB.showFotoUsuario}">
											<label style="font-weight:bold;color:blue; font-size: 12px;" class="control-label"><b>Foto Actual: No disponible</b></label>
										</h:panelGroup>
								</div>
							</div>
							<div class="col-sm-3 class text-center">
								<div class="form-group text-center">
														<p:commandButton id="idOcultarSeccionBusqueda"
										styleClass="btn btn-default btn-sensitive"
										value="Ocultar"
										actionListener="#{asistenciaSalaMB.ocultarSeccionFotosBusqueda}"
										update="frmBandejaSolicitud" ajax="true" />
								</div>
							</div>
							</h:panelGroup>
						</div>
						<!-- *************************************************************************************************************************** -->
					</p:fieldset>
					<p:separator />
				</div>
				</h:form>
				<h:form id="frmUsuariosEnSala" class="form-horizontal">
					<p:remoteCommand name="actualizaUsuariosEnSala"	 actionListener="#{asistenciaSalaMB.obtenerUsuarioEnSala()}"
						update="frmUsuariosEnSala" ajax="true" />										
				
				<div class="col-md-12 sin-bg-box" id="tablaUsuariosEnSala">
					<p:fieldset styleClass="ui-fieldset-general">
						<div class="row box-mb" style="margin-top: 15px;">
							<div class="col-sm-12 text-center page-head-line">
								<span><label style="color:blue; font-size: 17px;" class="control-label"><b>Actualmente hay #{asistenciaSalaMB.listaUsuariosEnSala.size()} usuarios en la sala.</b></label>
								</span>							
							</div>							
						</div>

						<div class="row box-mb" >
							<div class="col-sm-12 box-table-class">
								<div class="form-group">
									<p:dataTable id="tblConsultas3" var="registro"
										value="#{asistenciaSalaMB.listaUsuariosEnSala}"
										rowKey="#{registro.idRegistroAsistencia}" paginator="true" scrollable="true"
										rowIndexVar="item" paginatorPosition="bottom" rows="50" rowHover="true"
										style="text-align:center;" emptyMessage="No se encontraron registros" selectionMode="single">

										<p:column headerText="Item"  style="width:5px;text-align:left; color:black; font-weight:bold; font-size: 13px;" >
											<h:outputText value="#{item+1}"  />
										</p:column>
										<p:column headerText="Apellidos"  style="width:40px;text-align:left; color:black; font-weight:bold; font-size: 13px;" >
											<h:outputText value="#{registro.apellidosUsuario}"  />
										</p:column>

										<p:column headerText="Nombres"  style="width:40px;text-align:left; color:black; font-weight:bold; font-size: 13px;" >
											<h:outputText value="#{registro.nombreUsuario}"  />
										</p:column>


										<p:column headerText="Doc. Identidad"  style="width:25px;text-aling:center; color:black; font-weight:bold; font-size: 13px;" >
											<h:outputText value="#{registro.tipoDocIdentidad} #{registro.numeroDocIdentidad}" />
										</p:column>

										<p:column headerText="Tipo Usuario" style="width:25px;text-aling:center; color:black; font-weight:bold; font-size: 13px;" >
											<h:outputText value="#{registro.tipoUsuario}"  />
										</p:column>
										<p:column headerText="Fecha" style="width:25px;text-aling:center; color:black; font-weight:bold; font-size: 13px;">
											<h:outputText value="#{registro.fechaIngreso}" />
										</p:column>
										
										<p:column headerText="Hora Ingreso" style="width:20px;text-aling:center; color:black; font-weight:bold; font-size: 13px;" >
											<h:outputText value="#{registro.horaIngreso}"  />
										</p:column>
										<p:column headerText="Referencista" style="width:25px;text-aling:center; color:black; font-weight:bold; font-size: 13px;" >
											<h:outputText value="#{registro.userNameReferencistaIngreso}"  />
										</p:column>
										<p:column headerText="Foto" style="width:15px;text-align:center;">
											<p:commandButton
												action="#{asistenciaSalaMB.obtenerFotosLectorEnSala(registro)}"
												onclick="PF('statusDialog').show()"
												oncomplete="PF('statusDialog').hide()"
												title="Ver" ajax="true"
												value="Ver"
												styleClass="colorSuccess"
												update=":frmSeccionFotoLectorEnSala" />
										</p:column>										
										<p:column
											headerText="Marcar Salida:" style="width:30px;text-align:center;">
											<p:commandButton
												action="#{asistenciaSalaMB.registrarSalidadeSala(registro)}"
												onclick="PF('statusDialog').show()"
												oncomplete="PF('statusDialog').hide()"
												title="Salida" 
												ajax="true"
												value="Salida"
												styleClass="colorSuccess"
												update=":frmUsuariosEnSala :frmRegularizarSalida :frmBandejaSolicitud :frmSeccionFotoLectorEnSala" />
										</p:column>
										<p:column headerText="Regularizar Salida:" style="width:30px;text-align:center;">
											<p:commandButton
												actionListener="#{asistenciaSalaMB.verVentanaRegularizacionSalida(registro)}"
												title="Regularizar" 
												ajax="true" 
												value="Regularizar"
												styleClass="colorSuccess"
												update=":frmUsuariosEnSala :frmRegularizarSalida :frmBandejaSolicitud :frmSeccionFotoLectorEnSala"/>														
										</p:column>
									</p:dataTable>
								</div>
							</div>
						</div>
					</p:fieldset>
					</div>
					</h:form>
					<h:form id="frmSeccionFotoLectorEnSala" class="form-horizontal">
						<div class="col-md-12 sin-bg-box" id="tablaUsuariosEnSala">
							<p:fieldset styleClass="ui-fieldset-general">					
						<div class="row box-mb">
							<h:panelGroup rendered="#{asistenciaSalaMB.showSeccionFotoEnSala}">
							<div class="col-sm-12 box-table-class  text-left">
								<div class="form-group">
											<label style="font-weight:bold;color:blue; font-size: 18px;" class="control-label"><b>Usuario:&#160;</b></label><label style="font-weight:bold;color:black; font-size: 18px;" class="control-label"><b> #{asistenciaSalaMB.tituloSeccionFotoLectorEnSala}</b></label>
								</div>
							</div>			
							<div class="col-sm-3 box-table-class  text-center">
								<div class="form-group  text-center">
										<h:panelGroup rendered="#{asistenciaSalaMB.showFotoReniecEnSala}">
											<label style="font-weight:bold;color:blue; font-size: 12px;" class="control-label"><b>Foto Reniec</b></label>
											<p:fieldset>
												<fieldset>	
													<div class="text-center">
														<p:graphicImage id="fotoReniecEnSala"	value="#{asistenciaSalaMB.streamedContentPhotoReniecEnSala}" styleClass="img-responsive" cache="false" />
													</div>
												</fieldset>
											</p:fieldset>
										</h:panelGroup>
										<h:panelGroup rendered="#{!asistenciaSalaMB.showFotoReniecEnSala}">
											<label style="font-weight:bold;color:blue; font-size: 12px;" class="control-label"><b>Foto Reniec: No disponible</b></label>
										</h:panelGroup>						
								</div>
							</div>							
							<div class="col-sm-3 class text-center">
								<div class="form-group text-center">
										<h:panelGroup rendered="#{asistenciaSalaMB.showFotoUsuarioEnSala}">
											<label style="font-weight:bold;color:blue; font-size: 12px;" class="control-label"><b>Foto Actual</b></label>
											<p:fieldset>
												<fieldset>	
													<p:graphicImage width="300" id="fotoUsuarioEnSala" value="#{asistenciaSalaMB.streamedContentPhotoAdjuntadaEnSala}" styleClass="img-responsive"  cache="false" />											
												</fieldset>
											</p:fieldset>
										</h:panelGroup>
										<h:panelGroup rendered="#{!asistenciaSalaMB.showFotoUsuarioEnSala}">
											<label style="font-weight:bold;color:blue; font-size: 12px;" class="control-label"><b>Foto Actual: No disponible</b></label>
										</h:panelGroup>
								</div>
							</div>
							<div class="col-sm-3 class text-center">
								<div class="form-group text-center">
														<p:commandButton id="idOcultarSeccionEnSala"
										styleClass="btn btn-default btn-sensitive"
										value="Ocultar"
										actionListener="#{asistenciaSalaMB.ocultarSeccionFotosEnSala}"
										update="frmSeccionFotoLectorEnSala" ajax="true" />
								</div>
							</div>
							</h:panelGroup>
						</div>
						<!-- *************************************************************************************************************************** -->
					</p:fieldset>
				</div>		
			</h:form>									
			<p:dialog widgetVar="statusDialog" modal="true" draggable="false"
				closable="false" resizable="false" showHeader="false">
				<p:graphicImage value="../resources/img/loadingbar.gif" />
			</p:dialog>
			<p:dialog header="Regularizar salida" widgetVar="dlgModalRegularizarSalida" Modal="true" width="60%" styleClass="box-modal-show" resizable="false">
				<h:form id="frmRegularizarSalida">
				<p:fieldset>
					<fieldset>
						<p:panel id="PanelRegularizaSalida" style="border: 0px solid #EDEDED;">
							<div class="row box-mb">
								<div class="col-sm-12">
									<h:outputLabel 	value="Usuario: #{asistenciaSalaMB.nombreUsuarioSeleccionado}" styleClass="control-label"></h:outputLabel>
								</div>
								<div class="col-sm-4">
									<h:outputLabel 	for="cmbMotivoSalida" value="Motivo: " styleClass="control-label"></h:outputLabel><span class="style_requerido">*</span>                                        
								</div>
								<div class="col-sm-8">
									<p:selectOneMenu id="cmbMotivoSalida" value="#{asistenciaSalaMB.idMotivoSalida}"  styleClass="form-control style-select">
										<f:selectItem itemLabel="--- Seleccionar ---" itemValue="0" />
										<f:selectItems value="#{asistenciaSalaMB.listaMaestraMotivosSalida}" var="tabla" itemValue="#{tabla.idMotivoSalida}" itemLabel="#{tabla.motivoSalida}" />													 
									</p:selectOneMenu>	
								</div>
								<div class="col-sm-12">
							      	<h:outputLabel 	for="inputTextJustificacionRegularizacion" value="Detalle de motivo: " styleClass="control-label"></h:outputLabel>                                   
									<p:inputTextarea id="inputTextJustificacionRegularizacion" 
													rows="3" 
													cols="33"
													styleClass="form-control"
													autoResize="false" 
													value="#{asistenciaSalaMB.justificacionMotivoSalida}"
													maxlength="500" 
													counterTemplate="{0} caracteres restantes."
													/>
								</div>
								<div align="center">
									<p:commandButton value="Registrar salida"
										action="#{asistenciaSalaMB.regularizarSalidadeSala}" ajax="true"
										styleClass="btn btn-default btn-sensitive btn-buscar"
										onclick="PF('dlgModalRegularizarSalida').hide(), PF('statusDialog').show()"
										oncomplete="PF('statusDialog').hide();"
										update=":frmUsuariosEnSala :frmRegularizarSalida :frmBandejaSolicitud" />
									<p:spacer width="20" height="20"></p:spacer>
									<p:commandButton value="Cancelar" action="#{asistenciaSalaMB.limpiarRegistroAsistenciaSeleccionada}" ajax="true" oncomplete="PF('dlgModalRegularizarSalida').hide()" styleClass="btn btn-default btn-sensitive btn-buscar"  update=":frmRegularizarSalida"/>
								</div>
							</div>
						</p:panel>
					</fieldset>
				</p:fieldset>
				</h:form>
			</p:dialog>			
		</div>

	</ui:define>

</ui:composition>